Allocators
Utilities » Memory
Collaboration diagram for Allocators:

## Files

file | scoped_allocator

## Classes

class | std::allocator< _Tp >
struct | std::allocator_traits< _Alloc >
class | std::scoped_allocator_adaptor< _OuterAlloc, _InnerAllocs >
struct | std::uses_allocator< typename, typename >

## Macros

#define | __cpp_lib_make_obj_using_allocator

## Typedefs

template<typename _Tp >
using | std::__allocator_base = __new_allocator< _Tp >

## Functions

template<typename _Tp , typename _Alloc , typename... _Args>
constexpr _Tp | std::make_obj_using_allocator (const _Alloc &__a, _Args &&... __args)
template<typename _T1 , typename _T2 >
constexpr bool | std::operator== (const allocator< _T1 > &, const allocator< _T2 > &) noexcept
template<typename _OutA1 , typename _OutA2 , typename... _InA>
bool | operator== (const scoped_allocator_adaptor< _OutA1, _InA... > &__a, const scoped_allocator_adaptor< _OutA2, _InA... > &__b) noexcept
template<typename _Tp , typename _Alloc , typename... _Args>
constexpr _Tp * | std::uninitialized_construct_using_allocator (_Tp *__p, const _Alloc &__a, _Args &&... __args)
template<_Std_pair _Tp, typename _Alloc >
constexpr auto | std::uses_allocator_construction_args (const _Alloc &) noexcept
template<_Std_pair _Tp, typename _Alloc , typename _Up , typename _Vp >
constexpr auto | std::uses_allocator_construction_args (const _Alloc &, _Up &&, _Vp &&) noexcept
template<_Std_pair _Tp, typename _Alloc , typename _Up , typename _Vp >
constexpr auto | std::uses_allocator_construction_args (const _Alloc &, const pair< _Up, _Vp > &) noexcept
template<_Std_pair _Tp, typename _Alloc , typename _Up , typename _Vp >
constexpr auto | std::uses_allocator_construction_args (const _Alloc &, pair< _Up, _Vp > &&) noexcept
template<typename _Tp , typename _Alloc , typename... _Args>
constexpr auto | std::uses_allocator_construction_args (const _Alloc &__a, _Args &&... __args) noexcept requires(! _Std_pair< _Tp >)
template<_Std_pair _Tp, typename _Alloc , typename _Tuple1 , typename _Tuple2 >
constexpr auto | std::uses_allocator_construction_args (const _Alloc &__a, piecewise_construct_t, _Tuple1 &&__x, _Tuple2 &&__y) noexcept

## Detailed Description

Classes encapsulating memory operations.

## Typedef Documentation

## __allocator_base

template<typename _Tp >

using std::__allocator_base = typedef __new_allocator<_Tp>

An alias to the base class for std::allocator.

Used to set the std::allocator base class to std::__new_allocator.

Template Parameters

  _Tp | Type of allocated object.

Definition at line 47 of file c++allocator.h.